Beefy Boxes and Bandwidth Generously Provided by pair Networks
Perl: the Markov chain saw
 
PerlMonks  

Re: SOAP-Lite-0.714 Not working

by Plankton (Priest)
on Apr 10, 2012 at 23:29 UTC ( #964421=note: print w/ replies, xml ) Need Help??


in reply to SOAP-Lite-0.714 Not working

Do you mean you are trying to "install" SOAP-Lite? The easiest way to do that is to execute this command ...

$ perl -MCPAN -eshell
... when you the ...
cpan[1]>
... prompt enter 'install SOAP::Lite'


Comment on Re: SOAP-Lite-0.714 Not working
Select or Download Code
Re^2: SOAP-Lite-0.714 Not working
by btechpl (Initiate) on Apr 11, 2012 at 17:06 UTC
    Yes - trying to "install" SOAP-Lite. It installs, but will not regonize. Although they passed Makefile, make, make test and make install. Client HTTPS support Crypt::SSLeay Client FTP support SOAP::Transport::FTP What you mentioned is directly from CPAN download site. I will try to give that a try, and see how it goes. The reason, why I need to implement this is below. Objective - to produce an XML script, and XML file, based on input of Web page. 1). Written a perl script to produce XML script and file (part is done). 2). Created HTML/PHP Web Pages with selections, input and more (part is done). 3). Need to have have a translation layer between HTML/PHP to and from Perl. To control Perl routines. Thanks,
      Well the reason I say install by executing perl -MCPAN -eshell is that CPAN module will download and install any modules SOAP::Lite is dependent upon. Crypt::SSLeay will probably need some encryption software installed that is not available from cpan, but you would get some error message telling you what to do. So really do the perl -MCPAN -eshell thing and let the CPAN module do its thing. It is better than doing wget http://search.cpan.org/CPAN/authors/id/M/MK/MKUTTER/SOAP-Lite-0.714.tar.gz && tar -xzf SOAP-Lite-0.714.tar.gz && cd SOAP-Lite-0.714 && make && make test && make install.
        Yes, it does need an encryption software. It requires OI::Socket::SSL. This has been installed, and is recognized by SOAP::Lite. Thanks for reply.
Re^2: SOAP-Lite-0.714 Not working
by Anonymous Monk on Apr 11, 2012 at 19:13 UTC
    Update tried using your suggestion. SOAP::Lite will install, but before the install it will not recognize the below modules. Client HTTPS support Crypt::SSLeay Client FTP support SOAP::Transport::FTP During install, it says there is "SOAP::Transport::FTP (v7.11). However, after install it should be there and a reinstalling again it still does not see it. thanks,
      Client HTTPS support Crypt::SSLeay Client FTP support SOAP::Transport::FTP. Still will not be recognized, by SOAP:Lite. Not sure why is not being seen.

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://964421]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others wandering the Monastery: (11)
As of 2014-12-17 21:41 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    Is guessing a good strategy for surviving in the IT business?





    Results (34 votes), past polls